Skip to content

List all Groups for a Team

Request

Admin roles:
  • access_user
  • access_admin
  • reporting_user

Lists all Groups for your Team

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

Query
offsetstring

The UUID of an object used as an offset for pagination

countinteger, (int32)

Controls the number of objects listed per page

descendingboolean

If 'true', the most recent results are listed first

prevboolean

Controls the direction of paging

containsstring

If defined, results only include Groups that use the specified value in their name

include_deletedboolean

If 'true', results also include previously deleted Groups

only_include_deletedboolean

If 'true', results only include previously deleted Groups

disconnected_mode_on_onlyboolean

If 'true', results only include Groups that have enabled disconnected mode

idstring

If defined, results only include Groups with the specified IDs

ignorestring

If defined, results don't include Groups with the specified names. This is case sensitive.

GET
/v1/teams/{team_name}/groups
curl -i -X GET \
  'https://app.scaleft.com/v1/teams/{team_name}/groups?offset=string&count=0&descending=true&prev=true&contains=string&include_deleted=true&only_include_deleted=true&disconnected_mode_on_only=true&id=string&ignore=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Headers
Bodyapplication/json
listArray of objects(Group)
Response
{ "list": [ {}, {} ] }